// see https://platform.openai.com/docs/models/model-endpoint-compatibility

export enum ChatCompletionModel {
  GPT_4 = 'gpt-4',
  GPT_4_0314 = 'gpt-4-0314',
  GPT_4_32K = 'gpt-4-32k',
  GPT_4_32K_0314 = 'gpt-4-32k-0314',
  GPT_3_5_TURBO = 'gpt-3.5-turbo',
  GPT_3_5_TURBO_0301 = 'gpt-3.5-turbo-0301',
}

export enum TextCompletionModel {
  TEXT_DAVINCI_003 = 'text-davinci-003',
  TEXT_DAVINCI_002 = 'text-davinci-002',
  TEXT_CURIE_001 = 'text-curie-001',
  TEXT_BABBAGE_001 = 'text-babbage-001',
  TEXT_ADA_001 = 'text-ada-001',
}

export enum EditModel {
  TEXT_DAVINCI_EDIT_001 = 'text-davinci-edit-001',
  CODE_DAVINCI_EDIT_001 = 'code-davinci-edit-001',
}

export enum AudioTranscriptionModel {
  WHISPER_1 = 'whisper-1',
}

export enum AudioTranslationModel {
  WHISPER_1 = 'whisper-1',
}

export enum FineTuneModel {
  DAVINCI = 'davinci',
  CURIE = 'curie',
  BABBAGE = 'babbage',
  ADA = 'ada',
}

export enum EmbeddingModel {
  TEXT_EMBEDDING_ADA_002 = 'text-embedding-ada-002',
  TEXT_SEARCH_ADA_DOC_001 = 'text-search-ada-doc-001',
}

export enum ModerationModel {
  TEXT_MODERATION_STABLE = 'text-moderation-stable',
  TEXT_MODERATION_LATEST = 'text-moderation-latest',
}
